BasicAuthenticator.BasicCredentials (Apache Tomcat 10.1.54 API Documentation)
Description: declaration: package: org.apache.catalina.authenticator, class: BasicAuthenticator, class: BasicCredentials

# Class BasicAuthenticator.BasicCredentials

java.lang.Object
org.apache.catalina.authenticator.BasicAuthenticator.BasicCredentials

Enclosing class:
  `BasicAuthenticator`

public static class BasicAuthenticator.BasicCredentials extends Object
Parser for an HTTP Authorization header for BASIC authentication as per RFC 2617 section 2, and the Base64 encoded credentials as per RFC 2045 section 6.8.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicCredentials(ByteChunk input, Charset charset)`
  Parse the HTTP Authorization header for BASIC authentication as per RFC 7617.
  `BasicCredentials(ByteChunk input, Charset charset, boolean trimCredentials)`
  Deprecated.
  Will be removed in Tomcat 11 onwards

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPassword()`
  Trivial accessor.
  `String`
  `getUsername()`
  Trivial accessor.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicCredentials

    public BasicCredentials(ByteChunk input, Charset charset) throws IllegalArgumentException
    Parse the HTTP Authorization header for BASIC authentication as per RFC 7617.
    Parameters:
      `input` - The header value to parse in-place
      `charset` - The character set to use to convert the bytes to a string
    Throws:
      `IllegalArgumentException` - If the header does not conform to RFC 7617

  - ### BasicCredentials

    @Deprecated public BasicCredentials(ByteChunk input, Charset charset, boolean trimCredentials) throws IllegalArgumentException
    Deprecated.
    Will be removed in Tomcat 11 onwards
    Parse the HTTP Authorization header for BASIC authentication as per RFC 7617.
    Parameters:
      `input` - The header value to parse in-place
      `charset` - The character set to use to convert the bytes to a string
      `trimCredentials` - Should leading and trailing whitespace be removed from the parsed credentials
    Throws:
      `IllegalArgumentException` - If the header does not conform to RFC 7617

- ## Method Details

  - ### getUsername

    public String getUsername()
    Trivial accessor.
    Returns:
      the decoded username token as a String, which is never be `null`, but can be empty.

  - ### getPassword

    public String getPassword()
    Trivial accessor.
    Returns:
      the decoded password token as a String, or `null` if no password was found in the credentials.